Message-Id: <10550.111364@fatcity.com>
From: "Rachel Carmichael" <carmichr@hotmail.com>
Date: Thu, 06 Jul 2000 18:09:28 GMT
Subject: Re: Combination of Raw Volumes and File Systems

I haven't done it... and personally, while I might have set up one 
tablespace where the datafiles were file system and another where the 
datafiles were raw, I wouldn't mix them.. but I don't like using raw to 
begin with.

To fix:

export all tables in that tablespace (if there are indexes in the tablespace 
not associated with tables in that tablespace, make sure you get the index 
script before you do the next step).

alter the tablespace offline

drop the tablespace

recreate the tablespace using either all raw partitions or all file system 
files

import the tables from the export file.

HTH

Rachel


>From: Steven Monaghan <Steve.Monaghan@wcom.com>
>Reply-To: ORACLE-L@fatcity.com
>To: Multiple recipients of list ORACLE-L <ORACLE-L@fatcity.com>
>Subject: Combination of Raw Volumes and File Systems
>Date: Thu, 06 Jul 2000 08:26:42 -0800
>
>Has anyone on the list created data files for a tablespace where one was on
>a raw volume and the other was on a file system?
>
>We contacted Oracle support and they said it was fine, but the whole
>"Database Weirdness" thread that I started came into being when this change
>was made.
>
>Any thoughts or experience with this would be appreciated.
>
>Also, if you think this is a bad idea, suggestions on how to undo it would
>be appreciated, since data is already stored in the new data files.
>
>Thanks in advance to the always helpful list...
>Steve Monaghan
>WorldCom
>Long Island, New York
>
>--
>Author: Steven Monaghan
>   INET: Steve.Monaghan@wcom.com
>
>Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
>San Diego, California        -- Public Internet access / Mailing Lists
>--------------------------------------------------------------------
>To REMOVE yourself from this mailing list, send an E-Mail message
>to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
>the message BODY, include a line containing: UNSUB ORACLE-L
>(or the name of mailing list you want to be removed from).  You may
>also send the HELP command for other information (like subscribing).

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com